Loading...
Searching...
No Matches
Magick::colorMatrixImage Class Reference

## Public Member Functions

| colorMatrixImage (const size_t order_, const double *color_matrix_)
void | operator() (Image &image_) const

## Private Attributes

size_t | _order
const double * | _color_matrix

## Detailed Description

Definition at line 239 of file STL.h.

## Constructor & Destructor Documentation

## colorMatrixImage()

Magick::colorMatrixImage::colorMatrixImage | ( | const size_t | order_,
|  | const double * | color_matrix_ )

Definition at line 205 of file STL.cpp.

: _order( order_ ),
_color_matrix( color_matrix_ )
{
}

## Member Function Documentation

## operator()()

void Magick::colorMatrixImage::operator() | ( | Image & | image_ | ) | const

Definition at line 211 of file STL.cpp.

{
image_.colorMatrix( _order, _color_matrix );
}

## Field Documentation

## _color_matrix

const double* Magick::colorMatrixImage::_color_matrix

private

Definition at line 249 of file STL.h.

## _order

size_t Magick::colorMatrixImage::_order

private

Definition at line 248 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp